Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class TelecommunicationAddressUseMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.TelecommunicationAddressUseMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class TelecommunicationAddressUseMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Telecommunication Address Use Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getTelecommunicationAddressUseMember1()`

Field Summary
`static int` | `AS` The 'AS' literal value.
`static TelecommunicationAddressUseMember1` | `AS_LITERAL` The 'AS' literal object.
`static int` | `EC` The 'EC' literal value.
`static TelecommunicationAddressUseMember1` | `EC_LITERAL` The 'EC' literal object.
`static int` | `MC` The 'MC' literal value.
`static TelecommunicationAddressUseMember1` | `MC_LITERAL` The 'MC' literal object.
`static int` | `PG` The 'PG' literal value.
`static TelecommunicationAddressUseMember1` | `PG_LITERAL` The 'PG' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Telecommunication Address Use Member1' enumerators.

Method Summary
`static TelecommunicationAddressUseMember1` | `get(int value)` Returns the 'Telecommunication Address Use Member1' literal with the specified integer value.
`static TelecommunicationAddressUseMember1` | `get(java.lang.String literal)` Returns the 'Telecommunication Address Use Member1' literal with the specified literal value.
`static TelecommunicationAddressUseMember1` | `getByName(java.lang.String name)` Returns the 'Telecommunication Address Use Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AS

    public static final int AS

  The 'AS' literal value.

  If the meaning of 'AS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AS_LITERAL`, Constant Field Values

### EC

    public static final int EC

  The 'EC' literal value.

  If the meaning of 'EC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EC_LITERAL`, Constant Field Values

### MC

    public static final int MC

  The 'MC' literal value.

  If the meaning of 'MC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MC_LITERAL`, Constant Field Values

### PG

    public static final int PG

  The 'PG' literal value.

  If the meaning of 'PG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PG_LITERAL`, Constant Field Values

### AS_LITERAL

    public static final TelecommunicationAddressUseMember1 AS_LITERAL

  The 'AS' literal object.

  See Also:
    `AS`

### EC_LITERAL

    public static final TelecommunicationAddressUseMember1 EC_LITERAL

  The 'EC' literal object.

  See Also:
    `EC`

### MC_LITERAL

    public static final TelecommunicationAddressUseMember1 MC_LITERAL

  The 'MC' literal object.

  See Also:
    `MC`

### PG_LITERAL

    public static final TelecommunicationAddressUseMember1 PG_LITERAL

  The 'PG' literal object.

  See Also:
    `PG`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Telecommunication Address Use Member1' enumerators.

Method Detail

### get

    public static TelecommunicationAddressUseMember1 get(java.lang.String literal)

  Returns the 'Telecommunication Address Use Member1' literal with the specified literal value.

### getByName

    public static TelecommunicationAddressUseMember1 getByName(java.lang.String name)

  Returns the 'Telecommunication Address Use Member1' literal with the specified name.

### get

    public static TelecommunicationAddressUseMember1 get(int value)

  Returns the 'Telecommunication Address Use Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD